#ifndef SIMULATION_H
#define SIMULATION_H

#include "box.hpp"
#include "particle.hpp"
#include <vector>

template <typename T> class Simulation {
  // Simulation State variables
  T timestep;
  Box<T> box;

  // Host Data
  std::vector<Particle<T>> particles;
};

#endif
